ExtensionInstallations

Install an extension

Installs a published version with a scope, permissions, and a send mode, and returns it with status 201.

POST
/v1/extension-installations

Installs a published version with a scope, permissions, and a send mode, and returns it with status 201. The installation acts on your grants narrowed to these; a webhook installation's API key and webhook secret are returned once. Only a person can install, not an API key.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
extension*string
version?|null
mailboxIds?array<>|null
namespaceId?|null
permissions?array<>|null
sendMode?|null
webhookUrl?string|null

Response Body

InstallExtensionResponse

application/json
  1. response
installation*
credentials*|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.extensionInstallations.install({  "extension": "example"});
Example Response
{  "installation": {    "id": "string",    "extensionId": "string",    "name": "string",    "displayName": "string",    "version": {      "id": "string",      "version": "string"    },    "runtime": "hosted",    "status": "active",    "createdAt": "string",    "events": [      "mailbox.message.received"    ],    "permissions": [      "read"    ],    "sendMode": "send",    "scope": {      "mailboxIds": [        "string"      ],      "namespaceId": "string"    },    "webhook": {      "endpointId": "string",      "url": "string"    },    "updatedAt": "string",    "disabledAt": "string"  },  "credentials": {    "apiKey": "string",    "webhookSecret": "string"  }}

Related documentation